varying vec3 normal,lightDir,halfVector;
varying vec4 shadowCoords;

void main()
{	
	normal = normalize(gl_NormalMatrix * gl_Normal);
	lightDir = normalize(vec3(gl_LightSource[0].position));
	halfVector = normalize(gl_LightSource[0].halfVector.xyz);

	gl_TexCoord[0] = gl_MultiTexCoord0;
	gl_TexCoord[1] = gl_MultiTexCoord0;
	
	shadowCoords = gl_TextureMatrix[1] * gl_ModelViewMatrix * gl_Vertex;
	gl_Position = ftransform();
	
} 